Orvelt

Add a knowledge base item

POST
/kb

Add an item to the organization knowledge base.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Request Body

  1. body
url?string
Formaturi
Lengthlength <= 2048
text?string
Length1 <= length <= 10000
file?|||||||||||||||||||||||||
Formatbinary
Lengthlength <= 52428800

Response Body

OK

application/json
  1. response
item*
Example Request
curl -X POST 'https://api.orvelt.com/v1/kb' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "item": {
    "id": "string",
    "organizationId": "string",
    "storageOwner": "admin",
    "link": "http://example.com",
    "title": "string",
    "description": "string",
    "markdown": "string",
    "markdownKey": "string",
    "metadataKey": "string",
    "contentLength": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}